### Function

# GUPnP ServiceIntrospectionCallback

#### Declaration

    void
    (* GUPnPServiceIntrospectionCallback) (
      GUPnPServiceInfo* info,
      GUPnPServiceIntrospection* introspection,
      const GError* error,
      gpointer user_data
    )

#### Description [src]

Callback notifying that `introspection` for `info` has been obtained.

#### Parameters

`info` | `GUPnPServiceInfo`
| The `GUPnPServiceInfo` introspection was requested for.
| The data is owned by the caller of the function.
`introspection` | `GUPnPServiceIntrospection`
| The new `GUPnPServiceIntrospection` object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError`
| The `GError` that occurred.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.